<script>
import * as api from 'common/api/index.js'

const getConfigData = () => {
  api.getConfig()
      .then((res) => {
        if (res.code == 200) {
          uni.setStorageSync("configs", res.data)
        }
      })
      .catch((err) => {
      });
}
export default {
  onLaunch: async (options) => {
    uni.hideTabBar()
    getConfigData()
  },
  onShow: function () {
  },
  onHide: function () {
		},
	};
</script>

<style lang="scss">
	@import "@/components/uview-ui/index.scss";
	@import "./common/styles/common.scss";

	/*每个页面公共css */
	page {
		font-family: "PingFang SC";
		-webkit-font-smoothing: antialiased;
		-moz-osx-font-smoothing: grayscale;
		height: 100%;
		font-size: 28rpx;
		color: $fontMain;
		background: #F5F6F8;

		view {
			display: block;
			flex-direction: row;
			// box-sizing: border-box;
		}
	}
</style>
